Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.setid
Class Counter

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport
            |
            +--com.jxml.quick.ocm.OCMcontextSupport
                  |
                  +--com.jxml.quick.util.setid.Counter

All Implemented Interfaces:
  Item, OCMbase, OCMsink, OCMsource

public class Counter
extends OCMcontextSupport

Track the ID assignments.

    DTD:

    <!ELEMENT setid ((source|sourceLink),(validate|validateLink)?,
                    (factory|factoryLink))>

    <!ATTLIST setid
        docNamePrefix CDATA #IMPLIED
        expressDefaults CDATA "False"
        outputSchema CDATA #IMPLIED
        ID CDATA #IMPLIED
        Prefix CDATA #IMPLIED
    >

Inner Class Summary
`class` | `Counter.SubCounter`

Inner classes inherited from class com.jxml.quick.ocm.OCMcontextSupport
`OCMcontextSupport.SubContextSupport`

Inner classes inherited from class com.jxml.quick.ocm.OCMsinkSupport
`OCMsinkSupport.SubSinkSupport`

Inner classes inherited from class com.jxml.quick.ocm.OCMsource
`OCMsource.SubSource`

Inner classes inherited from class com.jxml.quick.ocm.OCMbase
`OCMbase.SubBase`

Inner classes inherited from class com.jxml.quick.ocm.OCMsink
`OCMsink.SubSink`

Field Summary
`String` | `IdPrefix` Prefix added to the generated ID.

Fields inherited from class com.jxml.quick.ocm.OCMcontextSupport
`factory, PUBLIC, rootTag, schemaName, SYSTEM`

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport
`expressDefaults, genNbr, prefix, source, validator`

Constructor Summary
`Counter()`

Method Summary
`OCMbase.SubBase` | `spawn(HashMap prior)` Creates a processing structure.

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport
`createSink, createSink, eval, exec, setSource, setValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IdPrefix

    public String IdPrefix

  Prefix added to the generated ID.

Constructor Detail

### Counter

    public Counter()

Method Detail

### spawn

    public OCMbase.SubBase spawn(HashMap prior)

  Description copied from interface: `OCMbase`
  Creates a processing structure.
  Overrides:
    `spawn` in class `OCMcontextSupport`
  Following copied from interface: `com.jxml.quick.ocm.OCMbase`
  Parameters:
    `prior` - A table of already spawned objects, keyed by their base object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD